
 .data

    location     db 10   ;current location
    lit          db 0     ;lamp lit(counter) 
    carry        db 1     ;objects carried(counter)
    hungry       db 75    ;hunger(counter)
    thirsty      db 30    ;thirst(counter)
    tired        db 130   ;sleep counter
    worn         db 0     ;Objects worn(counter)

;Moveable items

    lamp         db 0
    matches      db 0
    gold         db 128
    coin         db 0
    plank        db 0
    flask        db 0
    knife        db 0
    pen          db 0
    parchment    db 0
    compass      db 0 
    boat         db 5
    stick        db 0
    spade        db 0
    stem         db 0
    key          db 36
    gloves       db 0
    ruby         db 0
    helmet       db 30
    amulet       db 0
    bread        db 0
    sord         db 0
    rope         db 87
    hook         db 0
    flute        db 0
    pie          db 0
    ladder       db 88
    cloak        db 0
    crystal      db 77
    fruit        db 0
    bottle       db 0
    disc         db 0
    gun          db 0
    keg          db 71
    charm        db 0
    canopener    db 0
    tin          db 0
    axe          db 0
    boots        db 0
    needle       db 0
    laces        db 0
    jar          db 0
    glasses      db 0
    thread       db 0
    peg          db 0
    hammer       db 0
    nails        db 0
    paper        db 0
    scroll       db 0
    card         db 0

;Location of independant characters

    oldman       db 0
    pedlar       db 0
    gravedigger  db 0
    bear         db 0
    magpie       db 0
    gypsy        db 0
    landlord     db 0
    jailer       db 0
    butler       db 72

;Counters

    ringpulls    DB 0     ;Ring pulls counter
    compoint     DB 0     ;Direction pointed to on lake
    darkcount    DB 0     ;Moves in dark counter
    ale          db 0     ;Inn drinks counter
    drunk        db 0     ;whash shnow? Hic!

    flags        db 0     ;1-Lamp lit
                 db 0     ;2-Gnome done
                 db 0     ;3-Pond examined(hook found)
                 db 0     ;4-Old man done
                 db 0     ;5-Bought matches
                 db 0     ;6-Handle pulled(dark room)
                 db 0     ;7-Gravedigger done
                 db 0     ;8-Tunnel monster(warning)
                 db 0     ;9-Time passes
                 db 0     ;10-Woodcutter done
                 db 0     ;11-Gypsy done
                 db 0     ;12-Gardener done
                 db 0     ;13-Lake monster
                 db 0     ;14-jackdaw done
                 db 0     ;15-bear done
                 db 0     ;16-cord pulled
                 db 0     ;17-music on parchment
                 db 0     ;18-Statue
                 db 0     ;19-Ruby inserted
                 db 0     ;20-Boots laced
                 db 0     ;21-Water carried
                 db 0     ;22-Stick found
                 db 0     ;23-Ink in pen
                 db 0     ;24-Gun loaded
                 db 0     ;25-Large door unlocked
                 db 0     ;26-Large door open
                 db 0     ;27-Red door unlocked
                 db 0     ;28-Red door open
                 db 0     ;29-Lever 3 pulled
                 db 0     ;30-Lever 2 pulled
                 db 0     ;31-Lever 1 pulled
                 db 0     ;32-Sword removed from slab
                 db 0     ;33-Knocker door open
                 db 0     ;34-Rusty door greased
                 db 0     ;35-Tin opened
                 db 0     ;36-Mirror open
                 db 0     ;37-Rusty door open
                 db 0     ;38-Chest open
                 db 0     ;39-Crypt door open
                 db 0     ;40-Golden door open
                 db 0     ;41-Cupboard open(gun found)
                 db 0     ;42-Chest examined(objects found)
                 db 0     ;43-Logs examined(axe found)
                 db 0     ;44-Reeds examined(stem found)
                 db 0     ;45-Bench examined(spade found)
                 db 0     ;46-Sundial button pushed
                 db 0     ;47-Scullery table examined
                 db 0     ;48-Dining table examined(glasses th)
                 db 0     ;49-Bed examined(cloak found)
                 db 0     ;50-Shelves examined(objects found)
                 db 0     ;51-Desk examined(needle paper)
                 db 0     ;52-Bush examined(fruit found)
                 db 0     ;53-High shelf examined(tin found)
                 db 0     ;54-Cupboard open(alcove)
                 db 0     ;55-Cupboard examined(objects found)
                 db 0     ;56-Cloak mended
                 db 0     ;57-Boat repaired
                 db 0     ;58-Meet gypsy
                 db 0     ;59-Meet landlord
                 db 0     ;60-Lamp filled with oil
                 db 0     ;61-Bought laces
                 db 0     ;62-Drawbridge down
                 db 0     ;63-Sawdust examined(plank found)
                 db 0     ;64-Jailer arrived & door open
                 db 0     ;65-Sundial turned & door open
                 DB 0     ;66-Skull turned
                 db 0     ;67-Straw examined, scroll found
                 db 0     ;68-Notice read, allows fisherman
                 db 0     ;69-Fisherman done, opens inn
                 db 0     ;70-Nest examined, gloves found
                 db 0     ;71-monk done
                 db 0     ;72-Maid done
                 db 0     ;73-notice read on door
                 db 0     ;74-return from timed events
                 db 0     ;75-Spare

;Directions available & dark location indicators.

                                  ;N S E W U D 0 d

    directions  db 129    ;1   -   1 0 0 0 0 0 0 1
                db 96     ;2   -   0 1 1 0 0 0 0 0
                db 32     ;3   -   0 0 1 0 0 0 0 0
                db 32     ;4   -   0 0 1 0 0 0 0 0
                db 128    ;5   -   1 0 0 0 0 0 0 0
                db 192    ;6   -   1 1 0 0 0 0 0 0
                db 240    ;7   -   1 1 1 1 0 0 0 0
                db 240    ;8   -   1 1 1 1 0 0 0 0
                db 40     ;9   -   0 0 1 0 1 0 0 0
                db 28     ;10  -   0 0 0 1 1 1 0 0
                db 20     ;11  -   0 0 0 1 0 1 0 0
                db 20     ;12  -   0 0 0 1 0 1 0 0
                db 12     ;13  -   0 0 0 0 1 1 0 0
                db 184    ;14  -   1 0 1 1 1 0 0 0
                db 240    ;15  -   1 1 1 1 0 0 0 0
                db 240    ;16  -   1 1 1 1 0 0 0 0
                db 176    ;17  -   1 0 1 1 0 0 0 0
                db 64     ;18  -   0 1 0 0 0 0 0 0
                db 160    ;19  -   1 0 1 0 0 0 0 0
                db 96     ;20  -   0 1 1 0 0 0 0 0
                db 160    ;21  -   1 0 1 0 0 0 0 0
                db 192    ;22  -   1 1 0 0 0 0 0 0
                db 240    ;23  -   1 1 1 1 0 0 0 0
                db 240    ;24  -   1 1 1 1 0 0 0 0
                db 144    ;25  -   1 0 0 1 0 0 0 0
                db 192    ;26  -   1 1 0 0 0 0 0 0
                db 112    ;27  -   0 1 1 1 0 0 0 0
                db 16     ;28  -   0 0 0 1 0 0 0 0
                db 240    ;29  -   1 1 1 1 0 0 0 0
                db 128    ;30  -   1 0 0 0 0 0 0 0
                db 224    ;31  -   1 1 1 0 0 0 0 0
                db 64     ;32  -   0 1 0 0 0 0 0 0
                db 41     ;33  -   0 0 1 0 1 0 0 1
                db 32     ;34  -   0 0 1 0 0 0 0 0
                db 48     ;35  -   0 0 1 1 0 0 0 0
                db 32     ;36  -   0 0 1 0 0 0 0 0
                db 24     ;37  -   0 0 0 1 1 0 0 0
                db 12     ;38  -   0 0 0 0 1 1 0 0
                db 20     ;39  -   0 0 0 1 0 1 0 0
                db 32     ;40  -   0 0 1 0 0 0 0 0
                db 49     ;41  -   0 0 1 1 0 0 0 1
                db 144    ;42  -   1 0 0 1 0 0 0 0
                db 16     ;43  -   0 0 0 1 0 0 0 0
                db 32     ;44  -   0 0 1 0 0 0 0 0
                db 33     ;45  -   0 0 1 0 0 0 0 1
                db 32     ;46  -   0 0 1 0 0 0 0 0
                db 144    ;47  -   1 0 0 1 0 0 0 0
                db 112    ;48  -   0 1 1 1 0 0 0 0
                db 57     ;49  -   0 0 1 1 1 0 0 1
                db 4      ;50  -   0 0 0 0 0 1 0 0
                db 32     ;51  -   0 0 1 0 0 0 0 0
                db 48     ;52  -   0 0 1 1 0 0 0 0
                db 32     ;53  -   0 0 1 0 0 0 0 0
                db 48     ;54  -   0 0 1 1 0 0 0 0
                db 48     ;55  -   0 0 1 1 0 0 0 0
                db 48     ;56  -   0 0 1 1 0 0 0 0
                db 17     ;57  -   0 0 0 1 0 0 0 1
                db 176    ;58  -   1 0 1 1 0 0 0 0
                db 112    ;59  -   0 1 1 1 0 0 0 0
                db 56     ;60  -   0 0 1 1 1 0 0 0
                db 28     ;61  -   0 0 0 1 1 1 0 0
                db 148    ;62  -   1 0 0 1 0 1 0 0
                db 112    ;63  -   0 1 1 1 0 0 0 0
                db 16     ;64  -   0 0 0 1 0 0 0 0
                db 240    ;65  -   1 1 1 1 0 0 0 0
                db 144    ;66  -   1 0 0 1 0 0 0 0
                db 80     ;67  -   0 1 0 1 0 0 0 0
                db 48     ;68  -   0 0 1 1 0 0 0 0
                db 32     ;69  -   0 0 1 0 0 0 0 0
                db 32     ;70  -   0 0 1 0 0 0 0 0
                db 16     ;71  -   0 0 0 1 0 0 0 0
                db 24     ;72  -   0 0 0 1 1 0 0 0
                db 240    ;73  -   1 1 1 1 0 0 0 0
                db 240    ;74  -   1 1 1 1 0 0 0 0
                db 32     ;75  -   0 0 1 0 0 0 0 0
                db 16     ;76  -   0 0 0 1 0 0 0 0
                db 176    ;77  -   1 0 1 1 0 0 0 0
                db 240    ;78  -   1 1 1 1 0 0 0 0
                db 192    ;79  -   1 1 0 0 0 0 0 0
                db 100    ;80  -   0 1 1 0 0 1 0 0
                db 240    ;81  -   1 1 1 1 0 0 0 0
                db 240    ;82  -   1 1 1 1 0 0 0 0
                db 128    ;83  -   1 0 0 0 0 0 0 0
                db 192    ;84  -   1 1 0 0 0 0 0 0
                db 16     ;85  -   0 0 0 1 0 0 0 0
                db 16     ;86  -   0 0 0 1 0 0 0 0
                db 32     ;87  -   0 0 1 0 0 0 0 0
                db 16     ;88  -   0 0 0 1 0 0 0 0
                db 240    ;89  -   1 1 1 1 0 0 0 0
                db 240    ;90  -   1 1 1 1 0 0 0 0
                db 32     ;91  -   0 0 1 0 0 0 0 0
                db 32     ;92  -   0 0 1 0 0 0 0 0
                db 4      ;93  -   0 0 0 0 0 1 0 0
                db 32     ;94  -   0 0 1 0 0 0 0 0
                db 176    ;95  -   1 0 1 1 0 0 0 0
                db 64     ;96  -   0 1 0 0 0 0 0 0
                db 56     ;97  -   0 0 1 1 1 0 0 0
                db 12     ;98  -   0 0 0 0 1 1 0 0
                db 20     ;99  -   0 0 0 1 0 1 0 0
                db 208    ;100 -   1 1 0 1 0 0 0 0
                db 224    ;101 -   1 1 1 0 0 0 0 0
                db 96     ;102 -   0 1 1 0 0 0 0 0
                db 120    ;103 -   0 1 1 1 1 0 0 0
                db 36     ;104 -   0 0 0 1 0 0 1 0
                db 24     ;105 -   0 0 0 1 1 0 0 0
                db 12     ;106 -   0 0 0 0 1 1 0 0
                db 4      ;107 -   0 0 0 0 0 1 0 0
                db 64     ;108 -   0 1 0 0 0 0 0 0
                db 144    ;109 -   1 0 0 1 0 0 0 0
                db 80     ;110 -   0 1 0 1 0 0 0 0
                db 16     ;111 -   0 0 0 1 0 0 0 0
                db 16     ;112 -   0 0 0 1 0 0 0 0


;dynamic flags & counters

    timeout      dw 320   ;18 seconds passed
    rowpos       dw 0     ;Row counter
    colpos       db 0     ;column counter
    ycsee        db 0     ;You can see txt on screen flag
    kpr          db 0     ;disable timeout
    nomatch      db 0
    quicksave    db 0
    cursorflag   db 0
    all          db 0     ;If set goto ok after 'all'
    ctx          db 0
    qtfl         db 0
    tobc         db 0
    chew         db 0

sletters db'lnsewudizxqcopk'

verbs db'takgetdrosayligdoumakknoreaeatpusprepulopeexacligivplaloasho'
      db'unlkisgreuseweabuywriinsdigfilbrelackildrithrsewrepmenturtwi'
      db'swi'

nouns db'lammatgolcoiplaflaknipenparcomboastispastekeyglorubhelamubre'
      db'sworophooflupieladclocryfrubotdispiskegtokcantinaxebooneelac'
      db'jarspethrpeghamnaipapscrcaralldoochetoarincolslalogsanreesto'
      db'foucorlevhanmustombenbeamagsunmesholstacupkizwripaiknohutmir'
      db'priinstabbedshebusdessigsawwatponnottrawalrivinnpatprechasku'
      db'strbondritrelawtemxasrhyengbutguntorsintapjetgrifoonescoubra'
      db'landrabrosymwinpedrodracseaslolak'

loc1 db 3,126,"in a small low roofed cave,  the air in here smells"
     db " foul. It has a soft sandy floor in which there are a number"
     db " of footprints."

loc2 db 4,180,"at the end of a narrow path at the base of a towering"
     db " cliff.  Cut into  the cliff is the entrance to a dark cave,"
     db " out of which comes a smell which makesyour nose twitch in"
     db " disgust."

loc3 db 3,125,"in the middle of a circle of standing stones,  the "
     db "air vibrates and     crackles under the influence of some"
     db " invisible force."

loc5 db 3,128,"inside a tumbledown wooden hut,  there are large "
     db "holes in the roof and  walls, through which the wind moans"
     db " and whistles eerily."

loc6 db 3,140,"outside a large wooden hut.  A strong breeze has got "
     db "up and turned the  fog into a light drifting mist. A bubbling"
     db " brook winds its way past."

loc7 db 3,106,"in a thick, swirling, freezing cold fog, visibility"
     db " is just a few yards.There is a signpost standing here."

loc8 db 2,66,"in a thick, swirling, freezing cold fog. Visibility"
     db " is almost nil."

loc9 db 4,161,"at the bottom of a hill, on the edge of a thick gloomy"
     db " forest. To The   east a well worn path winds off into the"
     db " gloom beneath the large  overhanging   branches."

loc10 db 5,253,"on a bleak barren hillside. A cool wind is blowing"
      db " and black clouds raceswiftly by. Outlined against the "
      db "skyline on top of the hill is a circle of      standing "
      db "stones. Down the hill is a dense forest. A narrow path "
      db "leads off aroundthe hill to the west."

loc11 db 4,212,"on top of a hill on which there is a circle "
      db "of standing stones.         The north side of the " 
      db "hill ends in a precipice,  at the bottom of which "
      db "is a    shrub covered wasteland, reaching as far as"
      db " the eye can see."

loc12 db 4,212,"on top of a hill on which there is a circle "
      db "of standing stones.         The south side of the " 
      db "hill ends in a precipice,  at the bottom of which "
      db "is a    shrub covered wasteland, reaching as far "
      db "as the eye can see."

loc13 db 4,165,"on a bleak barren hillside. Outlined against"
      db " the skyline on top of the  hill is a circle of "
      db "standing stones. The bottom of the hill is hidden"
      db " by a thickswirling fog."

loc17 db 3,101,"on a narrow path in a thick gloomy forest. To "
      db "the north the trees open  out into a small sunny glade."

loc18 db 3,103,"in a small sunny glade in a thick forest,  growing "
      db "in the middle of the glade is an enormous toadstool."

loc19 db 3,133,"on a wide,  twisting,  deeply rutted track in a "
      db "thick gloomy forest.    The branches of the trees form"
      db " a dark canopy above your head."

loc20 db 3,121,"in a large tree surrounded clearing. On one "
      db "side of it is a rough woodenhut and the middle is "
      db "a pile of freshly cut logs."

loc21 db 4,194,"on the west side of an enormous lake.  Large"
      db " banks of fog drift slowly  across its surface. In"
      db " the distance you get a glimpse of a rocky island, "
      db "on the top of which is a sinister looking castle."

loc22 db 3,136,"on a path which leads through a thick clump"
      db " of fir trees, just visible  through the trees to"
      db " the south is a glistening stretch of water."

loc25 db 3,97,"at a bend in a path in a thick gloomy forest,"
      db " the sound of rushing waterhangs faintly on the air."

loc26 db 3,86,"on a muddy path in a thick gloomy forest,  the sound"
      db " of rushing water   fills the air."

loc27 db 4,213,"at the edge of a forest by a fast flowing river.  "
      db "On the banks of the   river grow thick tall reeds.  A wide"
      db " track branches off into the trees to the   west, and a "
      db "path follows the course of the river to the east."

loc28 db 3,119,"inside a rough wooden hut, there is a thick covering of "
      db "sawdust on the  floor, and in one corner is stood an old chest."

loc29 db 3,98,"in a boat on an enormous lake, completely surrounded by "
      db "a thick fog. It is cold and deathly quiet."

loc30 db 3,137,"in a gazebo perched high on the edge of a cliff.  "
      db "From here there is a  magnificent view of the lake below,"
      db " to the north is a large lawn."

loc31 db 3,123,"on a large lawn in front of the castle, to the south is a "
      db "chinese style gazebo and to the north is an ornamental fish pond."

loc32 db 3,94,"by an ornamental fish pond in which shoals of fish "
      db "are swimming. To the south is a large lawn."

loc33 db 3,107,"in a small, bare, brick walled cellar.  In the east"
      db " wall there is a low archway. A flight of steps lead up."

loc34 db 3,107,"in a dusty storeroom, on the wall are rows of shelves "
      db "and in one corner an iron ring is set into the floor."

loc35 db 4,212,"on a path by the side of a fast flowing river. Built partly"
      db " out into theriver here is the remains of a small wooden jetty.  "
      db "Fixed to one of the timbers is a faded notice. Across the river "
      db "you can see a graveyard."

loc36 db 2,71,"in a small stone chamber, light comes in through a tiny"
      db " high up window."

loc37 db 3,144,"on a small shingle beach on an island in the middle of "
      db "an enormous lake.The beach is enclosed by high cliffs, up "
      db "which leads a steep rocky path."

loc38 db 3,117,"on a slippy path set into the side of a cliff.  The wind"
      db " whips at your  clothes as you struggle to keep your footing."

loc39 db 4,194,"by the outside wall of the castle.  In the wall is an arched "
      db "doorway,   and on the solid looking door is a brass knocker.  To the"
      db " east is a large lawn, and a steep path leads off down the cliff."

loc40 db 3,101,"in a small empty room at the end of a cloistered way."
      db " There is a messagecarved into one of the walls."

loc41 db 3,121,"in a narrow, twisting tunnel.  Water drips from the roof "
      db "and it is very wet underfoot. There is some writing on the wall."

loc42 db 4,168,"in the bar of the inn. It has a low beamed ceiling and brass"
      db " ornaments  fill every nook and cranny. On the bar is a notice,"
      db " and there is a small doorwayin the west wall."

loc43 db 4,164,"at the end of a path, here the river disappears over "
      db "the edge of a cliffwith a tremendous roar amidst clouds of "
      db "spray. Just to the south is an Inn, veryolde worlde."

loc44 db 2,54,"at the end of a passageway, facing a blank stone wall."
 
loc45 db 3,146,"in a square stone chamber, in the centre of the floor is a"
      db " large wooden handle which is attached to a chain which goes "
      db "through a hole in the wall."

loc46 db 3,81,"in a small square chamber, completely bare except for"
      db " a shelf high up onone wall."

loc47 db 5,237,"in a large cobbled courtyard surrounded by high walls."
      db " In the middle of the courtyard is a fountain from which water"
      db " cascades,  sparkling and glinting  in the sun. To the north "
      db "is a cloistered way, and to the east is a small arched door."

loc48 db 3,121,"at the end of a cloistered way,  it has a vaulted roof "
      db "and a flagstone  floor. There is a small doorway in the west wall."

loc49 db 3,95,"at a bend in a tunnel, steps hewn out of solid rock lead"
      db " up, and to the east is a small alcove."

loc50 db 3,89,"in a crypt, the air smells stale and musty. There is"
      db " a heavy wooden doorin the east wall."

loc51 db 4,162,"in the shade of a large tree,  under which stands a "
      db "long wooden bench.  The ground is raised slightly here and "
      db "there is a fine view of the inn across   the river."

loc52 db 3,138,"in a cold, wet passageway, in the depths of the castle."
      db " Slime covers thewalls, and your footsteps echo hollowly "
      db "from the bare stone floor."

loc53 db 3,135,"in a small square room,  there are dark stains on "
      db "the walls and floor,  this is a torture chamber. A small "
      db "doorway is in the west wall."

loc54 db 3,93,"in a long narrow passage with thick stone walls,  "
      db "the air in here has a distinct chill in it."

loc55 db 3,97,"in a stone passageway,  the floor is worn very uneven "
      db "by the passage of many feet over the years."

loc56 db 4,182,"in a cloistered way with a vaulted roof and a flagstone"
      db " floor.  Through the narrow arches on the south side you can "
      db "see the fountain in the courtyard.  On the north wall is a notice."

loc57 db 2,56,"in a small brick alcove. On the back wall is a cupboard."

loc58 db 3,116,"in a graveyard on the north bank of a fast flowing river."
      db " To the west isa crypt and gravel paths lead off from here."

loc59 db 3,93,"in a secluded corner of a graveyard,  to the west "
      db "is a large tree with  overhanging branches."

loc60 db 3,95,"at the bottom of some steps in the bowels of the castle."
      db "  Passageways   lead off east and west."

loc61 db 3,82,"on a landing, steps lead off up and down, and there is"
      db " a doorway in the west wall."

loc62 db 3,84,"at a bend in a cold,  damp, stone passageway,  steps "
      db "lead off down into  the depths."

loc63 db 3,133,"at a junction of three passages, a cool draught is "
      db "blowing from the one leading south, and the odour it "
      db "carries is not very pleasant."

loc64 db 3,145,"at the eastern end of a cloistered way.  In the wall"
      db " is a large arched  doorway, at the side of it a grinning "
      db "skull is perched on a low pedestal."

loc65 db 3,99,"in a small tower room. The floor is littered with straw"
      db " and bones,  and the stench is overpowering."

loc66 db 3,82,"in a corner of a graveyard. From here you can see the"
      db " river flowing overthe cliff."

loc67 db 3,118,"on a gravel path in a graveyard.  There is a tombstone "
      db "here which looks rather unusual, quite different from the rest."

loc69 db 3,108,"in a small richly furnished study,  dominated by a "
      db "large desk,  which   almost fills the centre of the room."

loc70 db 3,81,"in a scullery, there is a large food preparation table"
      db " standing against one wall."

loc71 db 3,95,"in the armoury.  The walls have racks on them for "
      db "storing weapons, they all appear to be empty."

loc72 db 4,184,"in a wood panelled corridor.  There is a rich red "
      db "carpet on the floor,  and at the east end a huge staircase"
      db " flanked by stone balastrades leads up.  At the west end "
      db "is a large doorway."

loc73 db 3,95,"on the battlements, which is a maze of walkways along"
      db " castellated walls flanked by huge towers."

loc75 db 3,118,"in a short, narrow, dusty passageway. At the south end"
      db " is a rusty metal door, over the top of which is an inscription."

loc76 db 2,54,"at the end of a passageway, facing a blank stone wall."

loc77 db 4,187,"at the end of a long gallery. An enormous multi candle"
      db " lantern adorned  with crystals hangs down from the ceiling."
      db "  There is a doorway in the west wall and a long corridor "
      db "leads off east."

loc78 db 3,96,"in a long gallery with a polished wooden floor."
      db "  There are doorways in  the west and east walls."

loc79 db 3,122,"in a long gallery with a polished wooden floor. A painting "
      db "hangs on the east wall, and there is a window in the west wall."

loc80 db 4,185,"at the top of a staircase.  A long gallery with a "
      db "polished wooden floor leads off south, and there is a "
      db "doorway in the east wall.  Hanging on the north wall is"
      db " an enormous oil painting."

loc83 db 3,133,"in a dressing room. There is a large full length "
      db "mirror on one wall. Setat an angle in the wall by the "
      db "side of the mirror is a torch."

loc84 db 3,125,"in a richly furnished bedroom. A four poster bed"
      db " is the main feature of the room. There is a small "
      db "doorway in the south wall."

loc85 db 2,67,"at the end of a long corridor. In the south "
      db "wall is an ornate door."

loc86 db 3,95,"in an elegantly furnished dining room. A long "
      db "polished table stands downthe centre of the room."

loc87 db 3,97,"in a turret room,  high up on the outer wall.  "
      db "There is a breathtaking  view of the castle below."

loc88 db 3,86,"in a storeroom inside a square tower. There is "
      db "a large cupboard standingin one corner."

loc91 db 3,99,"in a small room at the base of a tower. Hanging"
      db " down through a hole in  the ceiling is a silk cord."

loc92 db 3,142,"in a walled garden,  standing here amongst the bushes"
      db " and plants is a   tall, black, smooth marble column. There"
      db " is a birds nest on top of it."

loc93 db 3,123,"at the top of a marble column,  from here there is a nice "
      db "view of the   garden. There is a large untidy birds nest up here."

loc94 db 3,108,"in a small chamber built out from the outer wall. "
      db "Set into the wall are three metal levers, marked A, B & C."

loc95 db 3,139,"in a walled garden, outside a small wooden hut. "
      db "There is a small doorwayin the outer wall of the garden,"
      db " and a gravel path leads off south."

loc96 db 3,134,"inside a small garden hut, there is a strong smell"
      db " of creosote and grasscuttings. In one corner is a sink,"
      db " complete with dripping tap."

loc97 db 4,173,"at the foot of a tall, round, white tower.  Cut "
      db "into the floor here is  the outline of a sword, the "
      db "blade is pointing east. To the side of the tower    "
      db "narrow steps lead up."

loc98 db 3,104,"on some narrow stone steps, flanked on both sides "
      db "by towering walls. On one wall is a large metal grill."

loc99 db 4,157,"in a small paved courtyard, surrounded by a high "
      db "wall. In the north wallis a large red door, in the west "
      db "wall is a small doorway, and narrow steps lead down."

loc100 db 4,157,"inside the entrance to a walled garden, flowers, "
       db "bushes and plants are  in abundance. Gravel paths lead "
       db "off north and west. To the south is a large red door."

loc101 db 2,64,"in a walled garden, gravel paths lead off north,"
       db " south and west."

loc102 db 4,228,"at the north end of a walled garden. To the north"
       db " a deep chasm separatesthis part ofthe castle from another"
       db " part perched on a sheer rock.  The only way across is by "
       db "means of a wooden drawbridge. In the west wall is a small door."

loc103 db 3,140,"on the north side of a wooden drawbridge. Paths lead"
       db " off east and west, and gleaming white marble steps lead "
       db "up into a swirling white cloud."

loc104 db 4,202,"on a rock platform above a swirling white cloud,  "
       db "down into which lead  white marble steps.  The sun blazes"
       db " down from an azure blue sky, reflecting off a dazzling "
       db "white temple standing just to the east."

loc105 db 3,86,"inside the base of a round tower.  The walls are "
       db "are white,  and white  steps lead up."

loc106 db 3,92,"on twisting steps inside a round tower, shafts "
       db "of sunlight shine throughnarrow window slits."

loc107 db 3,108,"on a small landing at the top of a round tower. Steps"
       db " lead down, and to the north is a gleaming golden door."

loc108 db 3,106,"in a room at the top of a white tower. Princess Xastra"
       db " is lay asleep on a couch in the middle of the room."

loc109 db 3,109,"in a secluded corner of a walled garden. Standing "
       db "here is a sundial, andgravel paths lead off north and west."

loc110 db 3,91,"in a walled garden, Standing here is a large statue."
       db "  Gravel paths lead off west and south."

loc111 db 3,123,"at the end of a gravel path in a walled garden."
       db " Growing here is a large bush, in the shade of which "
       db "is a small garden seat."
       
loc112 db 3,146,"inside a white marble temple. It has a domed roof"
       db " and a black and white mosaic floor, in the centre of "
       db "which stands a large slab of black granite."

loc113 db 3,128,"in a dusty storeroom, on the wall are rows of shelves "
       db "and in one corner part of the floor is lifted up from which"
       db " steps go down."

align 4

descriptions dd loc1,loc2,loc3,loc3,loc5,loc6,loc7,loc8,loc9
             dd loc10,loc11,loc12,loc13,loc8,loc8,loc8,loc17
             dd loc18,loc19,loc20,loc21,loc22,loc7,loc8,loc25
             dd loc26,loc27,loc28,loc29,loc30,loc31,loc32
             dd loc33,loc34,loc35,loc36,loc37,loc38,loc39,loc40
             dd loc41,loc42,loc43,loc44,loc45,loc46,loc47,loc48
             dd loc49,loc50,loc51,loc52,loc53,loc54,loc55,loc56
             dd loc57,loc58,loc59,loc60,loc61,loc62,loc63,loc64
             dd loc65,loc66,loc67,loc52,loc69,loc70,loc71,loc72
             dd loc73,loc73,loc75,loc76,loc77,loc78,loc79,loc80
             dd loc73,loc73,loc83,loc84,loc85,loc86,loc87,loc88
             dd loc73,loc73,loc91,loc92,loc93,loc94,loc95,loc96
             dd loc97,loc98,loc99,loc100,loc101,loc102,loc103
             dd loc104,loc105,loc106,loc107,loc108,loc109,loc110
             dd loc111,loc112,loc113

;Object descriptions list.

    ob1  db 13,"an oil lamp, "
    ob2  db 14,"some matches, "
    ob3  db 14,"a gold piece, "
    ob4  db 12,"some coins, "
    ob5  db 17,"a plank of wood, "
    ob6  db 9,"a flask, "
    ob7  db 9,"a knife, "
    ob8  db 7,"a pen, "
    ob9  db 13,"a parchment, "
    ob10 db 11,"a compass, "
    ob11 db 8,"a boat, "
    ob12 db 9,"a stick, "
    ob13 db 9,"a spade, "
    ob14 db 8,"a stem, "
    ob15 db 17,"a bunch of keys, "
    ob16 db 18,"a pair of gloves, "
    ob17 db 8,"a ruby, "
    ob18 db 10,"a helmet, "
    ob19 db 11,"an amulet, "
    ob20 db 11,"some bread, "
    ob21 db 9,"a sword, "
    ob22 db 8,"a rope, "
    ob23 db 8,"a hook, "
    ob24 db 9,"a flute, "
    ob25 db 7,"a pie, "
    ob26 db 10,"a ladder, "
    ob27 db 9,"a cloak, "
    ob28 db 11,"a crystal, "
    ob29 db 9,"a fruit, "
    ob30 db 10,"a bottle, "
    ob31 db 14,"a metal disc, "
    ob32 db 10,"a pistol, "
    ob33 db 7,"a keg, "
    ob34 db 9,"a token, "
    ob35 db 14,"a can opener, "
    ob36 db 7,"a tin, "
    ob37 db 8,"an axe, "
    ob38 db 17,"a pair of boots, "
    ob39 db 10,"a needle, "
    ob40 db 12,"some laces, "
    ob41 db 7,"a jar, "
    ob42 db 22,"a pair of spectacles, "
    ob43 db 13,"some thread, "
    ob44 db 11,"some pegs, "
    ob45 db 10,"a hammer, "
    ob46 db 12,"some nails, "
    ob47 db 15,"a paperweight, "
    ob48 db 10,"a scroll, "
    ob49 db 8,"a card, "
    ob50 db 12,"an old man, "
    ob51 db 10,"a pedlar, "
    ob52 db 15,"a gravedigger, "
    ob53 db 8,"a bear, "
    ob54 db 10,"a magpie, "
    ob55 db 9,"a gypsy, "
    ob56 db 12,"a landlord, "
    ob57 db 10,"a jailer, "
    ob58 db 10,"a butler, "

align 4

objectdescriptions dd ob1,ob2,ob3,ob4,ob5,ob6,ob7,ob8,ob9,ob10,ob11,ob12
                   dd ob13,ob14,ob15,ob16,ob17,ob18,ob19,ob20,ob21,ob22
                   dd ob23,ob24,ob25,ob26,ob27,ob28,ob29,ob30,ob31,ob32
                   dd ob33,ob34,ob35,ob36,ob37,ob38,ob39,ob40,ob41,ob42
                   dd ob43,ob44,ob45,ob46,ob47,ob48,ob49,ob50,ob51,ob52
                   dd ob53,ob54,ob55,ob56,ob57,ob58

    des1 db 36,"It is an ordinairy looking oil lamp."
    des2 db 43,"They are short pieces of wood with red ends."
    des3 db 34,"It is legal tender in these parts."
    des4 db 37,"These are legal tender in these parts."
    des5 db 42,"It is about 3 feet long and 4 inches wide."
    des6 db 25,"It is for carrying water."
    des7 db 37,"It is a penknife with a single blade."
    des8 db 21,"It is a fountain pen."
    des9 db 12,"It is blank."
    des10 db 44,"It is a small hand held one in working order."
    des11 db 77,"It is a small wooden rowing boat, some of the boards"
          db " are loose in the bottom."
    des12 db 22,"It is a walking stick."
    des13 db 31,"It is a common or garden spade."
    des14 db 43,"It is a hollow reed stem about 2 feet long."
    des15 db 33,"Keys of various sizes and shapes."
    des16 db 30,"They are thick leather gloves."
    des17 db 30,"It is about the size of a pea."
    des18 db 51,"It is highly polished, and has a large plume on it."
    des19 db 58,"It is a plain metal amulet, made to hang around ones neck."
    des20 db 41,"It is freshly baked and smells delicious."
    des21 db 51,"It has a jewelled hilt and a highly polished blade."
    des22 db 22,"It is a climbing rope."
    des23 db 36,"It is a grappling hook, a bit rusty."
    des24 db 50,"You ought to know what it looks like, you made it."
    des25 db 17,"It is a meat pie."
    des26 db 47,"It is made of wood, and is about ten feet long."
    des27 db 44,"It is black, long, and the hood is all torn."
    des28 db 47,"A sparkling gem, probably fell off the lantern."
    des29 db 29,"Looks a bit like a big peach."
    des30 db 21,"It has got ink in it."
    des31 db 45,"It is very large and is made of solid silver."
    des32 db 42,"It is a flintlock, in excellent condition."
    des33 db 22,"It contains gunpowder."
    des34 db 67,"It is a small round ball of heavy metal with "
          db "strange symbols on it."
    des35 db 28,"Just an ordinairy can opener."
    des36 db 28,"It says GREASE on the label."
    des37 db 46,"It has a long wooden handle and a sharp blade."
    des38 db 24,"They are climbing boots."
    des39 db 22,"It is a sewing needle."
    des40 db 28,"They are leather boot laces."
    des41 db 30,"The label on it says LAMP OIL."
    des42 db 28,"They are reading spectacles."
    des43 db 26,"It is black sewing thread."
    des44 db 40,"They are clothes pegs, about 20 of them."
    des45 db 26,"It is a carpenters hammer."
    des46 db 38,"They are the type used in floorboards."
    des47 db 71,"It is metal, in the shape of a toad. "
          db "There is something engraved on it."
    des48 db 23,"There is a rhyme on it."
    des49 db 35,"It has some strange markings on it."
    des50 db 37,"It is giving out a nice bright light."
    des51 db 32,"It has some music written on it."
    des52 db 25,"It is the one you mended."
    des53 db 27,"It is the one you repaired."

align 4

dtable dd des1,des2,des3,des4,des5,des6,des7,des8,des9,des10,des11,des12
       dd des13,des14,des15,des16,des17,des18,des19,des20,des21,des22
       dd des23,des24,des25,des26,des27,des28,des29,des30,des31,des32
       dd des33,des34,des35,des36,des37,des38,des39,des40,des41,des42
       dd des43,des44,des45,des46,des47,des48,des49,des50,des51,des52,des53

ms1  db 198,"Awakening is a game where you take the part of a traveller who         "
     db "        has set out to find his destiny.  Whether that be fame, "
     db "fortune                 or an untimely death, is in your hands."
     
ms2  dw 291
     db "During the game you will find other characters or they may find        "
     db "        you. How you interact with these other characters will decide"
     db " on                how or if you progress any further,  sometimes,  "
     db "if you are not                 fully 'prepared', you will "
     db "suffer dire consequences."
     
ms3  db 207,"As the game progresses time will pass by,  so you will need to       "
     db "          drink, eat & occasionally sleep. You will get advanced warnings"
     db "                 of these needs, Do not ignore them for too long!"
ms4  db 117,"Verb & Noun commands. These take the form of a two word instruction,"
     db "            as shown in the following examples :-"
     
ms5  db 68,"Take lamp,Examine lamp,Light lamp,Douse lamp,Drop lamp,Take all Etc."

ms6  db 116,"For quick input all words can be abbreviated to their first three"
     db "               letters e.g. Exa Lam (Examine lamp)."

ms7 db 66,"Summary of single letter commands i.e. press key then press Enter."

ms8  db 142,"You step through the door and the floor tilts steeply down, "
     db "you fall into a pit the bottom of which is covered with "
     db "razor sharp spikes, Nasty!"
     
ms9  db 157,"You hear the sound of marching feet and the the door being "
     db "unbolted, the door   opens and a number of soldiers rush out"
     db " to attack you with swords and spears."
     
ms10 db 156,"You hear the sound of marching feet and the the door being "
     db "unbolted,  the door  opens and a number of soldiers appear,"
     db " they all salute before marching away."

ms11 db 140,"The leather gloves protect you from the heat and you are able to pull"
     db " the sword out of the slab. The sword quickly cools down out in the air"

ms12 db 134,"You struggle to open the door which is very stiff,  but after much"
     db " effort you   manage to move it far enough to make a big enough gap."

ms13 db 160,"The old man thanks you, and waves his hand, there is a puff of "
     db "smoke and and an amulet appears on the ground in front of you. "
     db "The old man smiles and walks away."

ms14 db 144,"Jake is so pleased, that before rushing off he gives you a pen, he says"
     db " he foundit and it is not much use to him as he never did learn to write."

ms15 db 150,"Karl is really pleased,  and starts to play a catchy little tune."
     db "  He performs alittle jig, and disappears out of sight, playing "
     db "loudly as he does so."
     
ms16 dw 305
     db "There is a flash of light and a gnome appears on top of the toadstool."
     db " He Looks at you and says listen carefully to what I say for only once "
     db "my lips shall pass the secret of the magic stones,  the word to say is "
     db "kiziajas,  but only if you  wear the key. There is a flash of light and"
     db " the gnome disappears."

ms17 db 155,"You wake Tom up and give him the pegs,  his eyes light up,  and he "
     db "says I must  take these home to the wife. Before rushing off he gives "
     db "you a lucky token."

ms18 dw 381
     db "You kiss princess Xastra, she awakes, the castle then starts to shimmer"
     db " and     gradually it fades away.   You find yourself amongst flowers"
     db " in a beautiful     garden with princess Xastra at your side.  She"
     db " turns to you and smiles, you     have found your destiny.  Now you "
     db "can help princess Xastra regain her crown,    enabling her to take"
     db " her rightful place as ruler of the free."

ms19 db 213,"Tom the gypsy appears out of the fog,  he says he has been lost "
     db "in the fog for  ages, and that you are the first person he has seen "
     db "for a long time. He says he is very tired and that he will rest here"
     db " for a while."

ms20 db 78,"You give sid the gold piece, you get some bread plus a lot"
     db " of coins in change."

ms21 db 48,"You give sid a coin and he gives you some bread."

ms22 db 128,"You give Sid the gold piece, he serves you a jug of foaming ale "
     db "and a handful ofcoins in change. You gulp the ale greedily down."

ms23 db 85,"You give Sid a coin,  he serves you a jug of foaming ale which"
     db " you gulp greedilydown."

ms24 db 134,"O.K. but be careful this is really strong stuff. You give Sid a "
     db "coin, he serves you a jug of foaming ale which you gulp greedily down."

ms25 db 229,"Well,  you were warned.  You give Sid a coin, he serves you a"
     db " jug of foaming alewhich you gulp greedily down,  you stagger"
     db " outside into the fresh air, lose yourbalance and fall into the"
     db " river, which sweeps you over the waterfall."

ms26 db 34,"You hear a distant rumbling sound."

ms27 db 42,"It is not safe to move around in the dark!"

ms28 db 54,"O.K. But it is very slippy without the right footwear."

ms29 db 61,"The butler says sorry, you cannot go upstairs without a pass."

ms30 db 71,"Karl says sorry, but he has strict orders not to allow "
     db "anyone in there."

ms31 db 31,"You need a boat to go that way."

ms32 db 23,"That would be suicidal."

ms33 db 24,"The Inn is not open yet."

ms34 db 52,"The boat will not float with all those loose planks."

ms35 db 19,"The door is closed."

ms36 db 16,"Nothing happens."

ms37 db 43,"You need something to paddle the boat with."

ms38 db 25,"The drawbridge is raised."

ms39 db 63,"You try to go that way but some invisible force holds you back."

ms40 db 19,"YOU CANNOT DO THAT!"

ms41 db 27,"You have already done that!"

ms42 db 45,"You do not have the correct items to do that."

ms43 db 25,"YOU CANNOT CARRY ANYMORE!"

ms44 db 33,"There is nothing here to pick up!"

ms45 db 21,"You cannot take that!"

ms46 db 22,"You already have that!"

ms47 db 17,"That is not here!"

ms48 db 26,"You are not carrying that!"

ms49 db 27,"The laces are in the boots."

ms50 db 56,"You cannot drop anything here, it will sink in the lake."

ms51 db 68,"There is a loud clap of thunder and a bolt of lightning"
     db " strikes you."

ms52 db 80,"There is a rushing sound in your ears and for a moment you"
     db " feel strangely dizzy."

ms53 db 78,"Nothing happens for a few seconds, then the door swings "
     db "silently, slowly open."

ms54 db 24,"The lamp is already lit."

ms55 db 28,"You do not have any matches."

ms56 db 32,"The lamp has burned all the oil."

ms57 db 28,"There is no oil in the lamp."

ms58 db 38,"O.K. but you are just wasting matches."

ms59 db 45,"You do not have the keg containing gunpowder."

ms60 db 60,"There is a tremendous explosion and you are blown to pieces."

ms61 db 20,"The lamp is not lit."

ms62 db 30,"You have already made a flute."

ms63 db 45,"You cut and carve the reed stem into a flute."

ms64 db 43,"You are unable to read the strange writing."

ms65 db 32,"You can only read the word FERRY"

ms66 db 25,"It says - KILROY WAS HERE"

ms67 db 31,"It says :- FRESH BREAD FOR SALE"

ms68 db 29,"It says :- ROOM BEING CLEANED"

ms69 db 31,"NO UNAUTHORISED PERSONS ALLOWED"

ms70 db 17,"BEYOND THIS POINT"

ms71 db 25,"There is no writing here."

ms72 db 24,"There is no notice here."

ms73 db 25,"There is no message here."

ms74 db 47,"It says :- THE SWORD OF LIGHT WILL PAVE THE WAY"

ms75 db 29,"It says :- MONSTRUM HORRENDUM"

ms76 db 29,"There is no inscription here."

ms77 db 29,"It is a strange kind of tune."

ms78 db 48,"You do not have the scroll with the rhyme on it."

ms79 db 51,"It says :-            ALL THAT GLISTERS IS NOT GOLD"

ms80 db 30,"OFTEN HAVE YOU HEARD THAT TOLD"

ms81 db 32,"BUT WHAT YOU SEE IS PLAINLY REAL"

ms82 db 33,"SO SPEAK MY NAME AND WITNESS THEN"

ms83 db 26,"IT OPEN WIDE AND SO REVEAL"

ms84 db 31,"THE PRISON WHERE I SLEEP UNREAL"

ms85 db 15,"It says :- LAKE"

ms86 db 20,"It says :- BOATHOUSE"

ms87 db 57,"You do not have the paperweight with the engraving on it."

ms88 db 24,"It is too small to read."

ms89 db 68,"With the aid of the spectacles you can just make out that it says :-"

ms90 db 13,"A B C SA YSAE"

ms91 db 28,"You are not that hungry yet."

ms92 db 26,"You do not have any bread."

ms93 db 28,"You eat the bread, very nice."

ms94 db 22,"You do not have a pie."

ms95 db 30,"You eat the pie, very savoury."

ms96 db 20,"You cannot eat that."

ms97 db 26,"You do not have any fruit."

ms98 db 30,"You eat the fruit, very juicy."

ms99 db 60,"The mirror slides silently to one side, revealing a passage."

ms100 db 22,"You hear a loud click."

ms101 db 49,"Part of the floor lifts up, revealing some steps."

ms102 db 18,"It moved slightly."

ms103 db 39,"You cannot find the handle in the dark."

ms104 db 5,"SPARE"

ms105 db 71,"You pull the sword handle with all your strength,"
      db " but it will not move."

ms106 db 65,"You try to pull the sword out, but the handle is too hot to hold."

ms107 db 23,"Which lever? A, B or C "

ms108 db 57,"A trapdoor opens, and you fall down onto the rocks below."

ms109 db 49,"The drawbridge drops down with a tremendous thud."

ms110 db 22,"You hear a loud clunk."

ms111 db 22,"You hear a loud clack."

ms112 db 31,"You hear a bell clang overhead."

ms113 db 22,"You do not have a tin."

ms114 db 41,"You do not have anything to open it with."

ms115 db 37,"You open the tin with the can opener."

ms116 db 19,"It is already open."

ms117 db 19,"You open the chest."

ms118 db 36,"It seems to be bolted on the inside."

ms119 db 19,"The door is locked."

ms120 db 28,"The door creaks slowly open."

ms121 db 64,"You try to open the door, but it is so rusty you cannot move it."

ms122 db 76,"The grease has done the trick, the door swings open with a"
      db " tremendous clang."

ms123 db 27,"You push open the red door."

ms124 db 40,"No matter what you do, it will not open."

ms125 db 58,"There is no handle or keyhole, there is no way to open it."

ms126 db 29,"It is locked from the inside."

ms127 db 17,"The door is open."

ms128 db 19,"It is already open."

ms129 db 22,"You open the cupboard."

ms130 db 56,"The handle is broken off, and the door refuses to budge."

ms131 db 15,"Nothing special"

ms132 db 26,"It is a heavy wooden door."

ms133 db 46,"It is a large door with a brass knocker on it."

ms134 db 47,"It is a heavy wooden door with a large keyhole."

ms135 db 67,"It is a big red door with a large slot "
      db "where normally is a keyhole."

ms136 db 24,"It is completely smooth."

ms137 db 39,"It is very rusty, must be made of iron."

ms138 db 65,"It is a solid wooden door, it seems to be"
      db " locked from the inside."

ms139 db 34,"It is a smooth metal sliding door."

ms140 db 10,"It is open"

ms141 db 26,"It is a solid wooden door."

ms142 db 29,"It has a notice hanging on it"

ms143 db 22,"There is no door here."

ms144 db 38,"It is a large, heavy, metal bound one."

ms145 db 72,"In the chest is a knife, a flask, a jar, "
      db "some nails and a pair of boots."

ms146 db 23,"There is no chest here."

ms147 db 48,"It is about six feet high, red with white spots."

ms148 db 27,"There is no toadstool here."

ms149 db 54,"It is about six inches in diameter and one inch thick."

ms150 db 22,"There is no ring here."

ms151 db 29,"It is about twenty feet high."

ms152 db 48,"A bit difficult when you are stood on top of it."

ms153 db 24,"There is no column here."

ms154 db 78,"It has a handle sticking out of the top and "
      db "there is a small hole in one side."

ms155 db 22,"There is no slab here."

ms156 db 42,"You look amongst the logs and find an axe."

ms157 db 23,"There are no logs here."

ms158 db 22,"There is no sand here."

ms159 db 38,"You look in the reeds and find a stem."

ms160 db 24,"There are no reeds here."

ms161 db 25,"There are no stones here."

ms162 db 59,"They are black polished stones, covered in strange writing."

ms163 db 34,"Cascades of sparkling clear water."

ms164 db 26,"There is no fountain here."

ms165 db 26,"It looks like a bell pull."

ms166 db 22,"There is no cord here."

ms167 db 80,"They are four feet long, look like something out of an old "
      db "fashioned signal box."

ms168 db 23,"There is no lever here."

ms169 db 39,"You cannot find the handle in the dark."

ms170 db 36,"It looks like the handle of a sword."

ms171 db 24,"There is no handle here."

ms172 db 29,"It is a strange kind of tune."

ms173 db 23,"There is no music here."

ms174 db 26,"It has music carved on it."

ms175 db 27,"There is no tombstone here."

ms176 db 39,"There is a spade leaning up against it."

ms177 db 23,"There is no bench here."

ms178 db 19,"You must be joking!"

ms179 db 45,"Not a good idea, even if you could get to it."

ms180 db 22,"There is no bear here."

ms181 db 28,"You cannot catch the magpie."

ms182 db 24,"There is no magpie here."

ms183 db 74,"It looks like an ordinairy sundial, apart from a small"
      db " button on one side."

ms184 db 25,"There is no sundial here."

ms185 db 89,"Looks like it has been there a long time,  as it is crumbling"
      db " away. It Is still readable."

ms186 db 25,"There is no message here."

ms187 db 22,"There is no hole here."

ms188 db 67,"It is a statue of a giant warrior holding"
      db " a large two handed sword."

ms189 db 24,"There is no statue here."

ms190 db 60,"You look in the cupboard and find a compass and a parchment."

ms191 db 57,"It is a small wooden cupboard, covered in dust and grime."

ms192 db 26,"It is a tall oak cupboard."

ms193 db 26,"There is no cupboard here."

ms194 db 25,"It is in big red letters."

ms195 db 21,"It is not very clear."

ms196 db 25,"There is no writing here."

ms197 db 23,"It is written in chalk."

ms198 db 36,"It is written in a strange language."

ms199 db 65,"It is a portrait of a beautiful young girl with long blonde hair."

ms200 db 80,"It is a painting of a white temple that appears"
      db " to be floating on a white cloud."

ms201 db 26,"There is no painting here."

ms202 db 54,"It is very heavy, and is in the shape of a wolfs head."

ms203 db 25,"There is no knocker here."

ms204 db 27,"The place is falling apart."

ms205 db 41,"It is run down, even the door is missing."

ms206 db 53,"It looks like where all the gardening tools are kept."

ms207 db 38,"Filthy dirty, and very claustrophobic."

ms208 db 21,"There is no hut here."

ms209 db 43,"You look in the mirror and admire yourself."

ms210 db 62,"You look in the mirror and see your head floating in the room."

ms211 db 45,"You look in the mirror and see an empty room."

ms212 db 24,"There is no mirror here."

ms213 db 40,"she is beautiful, with long blonde hair."

ms214 db 26,"There is no princess here."

ms215 db 15,"It is in latin."

ms216 db 29,"There is no inscription here."

ms217 db 38,"On the table is a pie and a canopener."

ms218 db 54,"On the table are a pair of spectacles and some thread."

ms219 db 23,"There is no table here."

ms220 db 28,"You find a cloak on the bed."

ms221 db 21,"There is no bed here."

ms222 db 50,"You find a lamp, a hammer, a bottle and some pegs."

ms223 db 19,"It is out of reach."

ms224 db 110,"You climb the ladder to look on the shelf, and dislodge"
      db " a tin,  which rolls off the shelf down onto the floor."

ms225 db 26,"There Are no shelves here."

ms226 db 40,"There is some large fruit growing on it."

ms227 db 22,"There is no bush here."

ms228 db 42,"On the desk is a paperweight and a needle."

ms229 db 22,"There is no desk here."

ms230 db 21,"It is pointing south."

ms231 db 26,"There is no signpost here."

ms232 db 57,"You search in the sawdust and find a short plank of wood."

ms233 db 25,"There is no sawdust here."

ms234 db 36,"It is a colourless, odourless liqid."

ms235 db 31,"You are not carrying any water."

ms236 db 37,"You look in the pond and find a hook."

ms237 db 22,"There is no pond here."

ms238 db 33,"There is something written on it."

ms239 db 24,"There is no notice here."

ms240 db 39,"On the tray are some matches and laces."

ms241 db 22,"There is no tray here."

ms242 db 22,"There is no wall here."

ms243 db 23,"There is no river here."

ms244 db 21,"There is no inn here."

ms245 db 22,"There is no path here."

ms246 db 42,"It's a long, long, way down to the bottom."

ms247 db 27,"There is no precipice here."

ms248 db 38,"You cannot find the chain in the dark."

ms249 db 29,"It is shiny and well greased."

ms250 db 23,"There is no chain here."

ms251 db 23,"There is no skull here."

ms252 db 31,"You find a scroll in the straw."

ms253 db 23,"There is no straw here."

ms254 db 27,"They look like human bones."

ms255 db 24,"There are no bones here."

ms256 db 55,"You do not have a drink, that is if you mean alcoholic."

ms257 db 22,"There is no tree here."

ms258 db 22,"There is no lawn here."

ms259 db 24,"There is no temple here."

ms260 db 44,"You do not have a scroll with a rhyme on it."

ms261 db 15,"Try reading it."

ms262 db 57,"You do not have the paperweight with the engraving on it."

ms263 db 22,"It is extremely small."

ms264 db 29,"Looks a bit like a bell push."

ms265 db 24,"There is no button here."

ms266 db 27,"It is a sooty black powder."

ms267 db 23,"There is no torch here."

ms268 db 22,"There is no sink here."

ms269 db 21,"There is no tap here."

ms270 db 21,"Just rotting timbers."

ms271 db 23,"There is no jetty here."

ms272 db 63,"You look through the grill and see a bear asleep on some straw."

ms273 db 23,"There is no grill here."

ms274 db 69,"They are large footprints made by bare feet,"
      db " about twice normal size."

ms275 db 29,"There are no footprints here."

ms276 db 47,"You look in the nest and find a pair of gloves."

ms277 db 22,"There is no nest here."

ms278 db 29,"It is covered in blue velvet."

ms279 db 23,"There is no couch here."

ms280 db 24,"There is no branch here."

ms281 db 32,"A beautiful example of its kind."

ms282 db 25,"There is no lantern here."

ms283 db 26,"The drawbridge is lowered."

ms284 db 28,"There is no drawbridge here."

ms285 db 33,"Looks like mountain spring water."

ms286 db 23,"There is no brook here."

ms287 db 34,"Nothing you can make any sense of."

ms288 db 73,"Through the window there is a nice view of"
      db " the fountain in the courtyard."

ms289 db 24,"There is no window here."

ms290 db 26,"There is no pedestal here."

ms291 db 72,"It is cast brass, from whch a rod goes "
      db "down through a hole in the floor."

ms292 db 21,"There is no rod here."

ms293 db 39,"It is made of steel, and is well oiled."

ms294 db 24,"There are no racks here."

ms295 db 22,"There is no seat here."

ms296 db 22,"There is no slot here."

ms297 db 25,"You do not have a ladder."

ms298 db 44,"There is no reason to do that at the moment."

ms299 db 70,"With the aid of the rope & the grappling"
      db " hook you climb up the column."

ms300 db 39,"You do not have time for playing games."

ms301 db 24,"You do not have a stick."

ms302 db 34,"No one here wants a walking stick."

ms303 db 23,"You do not have a coin."

ms304 db 25,"No one here wants a coin."

ms305 db 24,"You do not have a flute."

ms306 db 26,"No one here wants a flute."

ms307 db 23,"You do not have a card."

ms308 db 25,"No one here wants a card."

ms309 db 76,"The butler takes the card, looks at it, and says"
      db " thank you sir, do carry on."

ms310 db 27,"No one here wants any pegs."

ms311 db 25,"You do not have any pegs."

ms312 db 23,"No one here wants that."

ms313 db 30,"You do not have an instrument."

ms314 db 24,"You do not have a flute."

ms315 db 26,"You do not have any music."

ms316 db 19,"You not have a gun."

ms317 db 26,"The gun is already loaded."

ms318 db 41,"You do not have any shot to load it with."

ms319 db 47,"You do not have any gunpowder to prime it with."

ms320 db 22,"There is no bear here."

ms321 db 25,"You do not have a pistol."

ms322 db 25,"The pistol is not loaded."

ms323 db 137,"You shoot at the bear and hit the chain around its neck,  the"
      db " chain breaks and  the disc drops to the gound. The bear runs"
      db " off in fright."

ms324 db 23,"The door Is not locked."

ms325 db 24,"You do not have the key."

ms326 db 43,"You find the right key and unlock the door."

ms327 db 43,"There is no door here that can be unlocked."

ms328 db 35,"None of the keys you have will fit."

ms329 db 56,"You insert the disc into the slot and hear a loud click."

ms330 db 44,"There is no chest here that needs unlocking."

ms331 db 47,"There is no cupboard here that can be unlocked."

ms332 db 26,"There is no princess here."

ms333 db 42,"There is no door here that needs greasing."

ms334 db 34,"You have already greased the door."

ms335 db 27,"You do not have any grease."

ms336 db 30,"The tin of grease is not open."

ms337 db 59,"You spread plenty of grease around the door and its hinges."

ms338 db 26,"You do not have a compass."

ms339 db 21,"It is pointing north."

ms340 db 21,"It is pointing south."

ms341 db 20,"It is pointing east."

ms342 db 39,"The needle is spinning round and round."

ms343 db 46,"You smash the cupboard door open with the axe."

ms344 db 45,"You do not have the keg containing gunpowder."

ms345 db 11,"To do what?"

ms346 db 33,"You are already wearing a helmet."

ms347 db 25,"You do not have a helmet."

ms348 db 42,"You will have to take the cloak off first."

ms349 db 34,"You are already wearing an amulet."

ms350 db 26,"You do not have an amulet."

ms351 db 32,"You are already wearing a cloak."

ms352 db 24,"You do not have a cloak."

ms353 db 43,"You will have to take the helmet off first."

ms354 db 30,"You are already wearing boots."

ms355 db 26,"You do not have any boots."

ms356 db 32,"There are no laces in the boots."

ms357 db 35,"You are already wearing spectacles."

ms358 db 31,"You do not have any spectacles."

ms359 db 27,"You do not have any gloves."

ms360 db 31,"You are already wearing gloves."

ms361 db 56,"The landlord says sorry, but he has sold out of matches."

ms362 db 47,"There is no one here you can buy anything from."

ms363 db 34,"Pete cannot change the gold piece."

ms364 db 26,"You do not have any money."

ms365 db 62,"You buy some matches from Pete, he walks away looking pleased."

ms366 db 26,"You do not have any money."

ms367 db 64,"You buy some laces from Pete, he goes away looking very pleased."

ms368 db 54,"You have already written the music onto the parchment."

ms369 db 39,"You do not have anything to write with."

ms370 db 27,"There is no ink in the pen."

ms371 db 47,"You do not have anything to write the music on."

ms372 db 37,"There is no music here you can write."

ms373 db 38,"You copy the music onto the parchment."

ms374 db 23,"You do not have a ruby."

ms375 db 22,"Insert the ruby where?"

ms376 db 122,"You insert the ruby into the hole in the slab, almost at once "
      db "the slab starts toemit a loud humming sound & gets very hot."

ms377 db 22,"There is no sand here."

ms378 db 22,"It is too dark to dig."

ms379 db 37,"You do not have anything to dig with."

ms380 db 37,"You dig in the sand and find nothing."

ms381 db 37,"You dig in the sand and find a stick."

ms382 db 24,"You do not have a flask."

ms383 db 35,"The flask is already full of water."

ms384 db 45,"You fill the flask with water from the river."

ms385 db 46,"The water in the lake is not fit for drinking."

ms386 db 46,"The water in the pond is not fit for drinking."

ms387 db 43,"You fill the flask with water from the tap."

ms388 db 48,"You fill the flask with water from the fountain."

ms389 db 45,"You fill the flask with water from the brook."

ms390 db 46,"There is no water here to fill the flask with."

ms391 db 23,"You do not have a lamp."

ms392 db 32,"There is no more oil in the jar."

ms393 db 46,"You do not have any oil to fill the lamp with."

ms394 db 40,"The lamp does not need any more oil yet."

ms395 db 27,"You fill the lamp with oil."

ms396 db 22,"You do not have a pen."

ms397 db 36,"You already filled the pen with ink."

ms398 db 24,"You do not have any ink."

ms399 db 26,"You fill the pen with ink."

ms400 db 22,"It is much too strong."

ms401 db 38,"You have already opened the cupboard."

ms402 db 97,"You smash the mirror,  and a large sliver of glass slices"
      db " through your jugalar  vein, very messy!"

ms403 db 38,"Break! Break! Break! are you a vandal?"

ms404 db 35,"The laces are already in the boots."

ms405 db 26,"You do not have any boots."

ms406 db 26,"You do not have any laces."

ms407 db 54,"Kill! Kill! Kill! is that your solution to everything?"

ms408 db 22,"There is no bear here."

ms409 db 4,"How?"

ms410 db 31,"You are not carrying any water."

ms411 db 29,"You are not that thirsty yet."

ms412 db 44,"You drink the water and feel very refreshed."

ms413 db 26,"You do not have a crystal."

ms414 db 118,"You throw the crystal near the magpie,  it drops what it is"
      db " carrying,  picks up the crystal in its beak and flies off."

ms415 db 35,"You will have to take it off first."

ms416 db 24,"You do not have a cloak."

ms417 db 63,"You sew the hood on the cloak, and make it look as good as new."

ms418 db 41,"It does not seem to be in need of repair."

ms419 db 23,"You do not have a boat."

ms420 db 49,"You nail the loose planks firmly back into place."

ms421 db 23,"There is no skull here."

ms422 db 78,"You hear a whirring and grinding sound coming from the other side"
      db " of the door."

ms423 db 44,"It will not move no matter how hard you try."

ms424 db 51,"You hear a clang from the other side of the garden."

ms425 db 21,"There is no tap here."

ms426 db 58,"You try turning the tap, but cannot stop it from dripping."

ms427 db 38,"You cannot find the lever in the dark."

ms428 db 28,"You cannot catch the magpie."

ms429 db 19,"It is out of reach."

ms430 db 22,"There is no tray here."

ms431 db 38,"Pete might get annoyed if you do that."

ms432 db 23,"There is no chain here."

ms433 db 37,"You cannot see the chain in the dark."

ms434 db 19,"It is out of reach."

ms435 db 15,"Time passes by."

ms436 db 32,"You collapse from lack of water."

ms437 db 17,"You feel thirsty."

ms438 db 20,"You are very thirsty"

ms439 db 31,"You collapse from lack of food."

ms440 db 16,"You feel hungry."

ms441 db 21,"You feel very hungry."

ms442 db 27,"You fall into a deep sleep."

ms443 db 48,"You dream about all the places you have visited."

ms444 db 78,"You wake up feeling very refreshed, unfortunately, "
      db "you have been sleepwalking."

ms445 db 20,"You feel very tired."

ms446 db 15,"You feel tired."

ms447 db 35,"A large bird flies slowly overhead."

ms448 db 53,"A large bird swoops down and takes the bread off you."

ms449 db 57,"Something big, partly hidden by the fog, passes close by."

ms450 db 68,"An old man comes into sight,"
      db " he appears to be looking for something."

ms451 db 47,"The old man walks slowly away looking very sad."

ms452 db 80,"The gypsy wakes up, and says hello you are still here then,"
      db " and dozes off again."

ms453 db 225,"Wilf the woodcutter appears,  he sees that you are interested"
      db " in the toadstool, he tells you that legend has it that if you"
      db " play a certain tune on a flute here,magic things happen. Wilf"
      db " bids you good day, and goes on his way."

ms454 db 113,"A large black gorilla swings out of the trees and takes "
      db "something off you beforedisappearing back into the trees."

ms455 db 71,"Something big in the lake bumps into the boat and makes it "
      db "rock wildly."

ms456 db 114,"A large tentacle with huge suckers on it snakes out of the "
      db "water,  wraps around you, and pulls you into the lake."

ms457 db 30,"Your feet slip from under you."

ms458 dw 380
      db "Jack the gardener appears,  he tells you that this is an evil"
      db " place and rumour  has it that princess Xastra,  the true ruler"
      db " of the country,  is held captive   somewhere inside the castle."
      db "  Many have entered and tried to free her, but none have ever "
      db "returned. He looks around and quickly hands you a small card, he"
      db " says this might be of some help. He bids you good day and leaves."

ms459 dw 261
      db "A fisherman comes wandering by and says hello.  He tells you"
      db " that the ferry was washed away in a sudden flood, about two "
      db "years ago. Three people were drowned,  one of which was the "
      db "local innkeeper.  A sad day that was, he says.  He wanders "
      db "off shaking his head."

ms460 db 130,"Pete The pedlar appears,  he is carrying a tray, and asks if you "
      db "would like to  buy something as he has a large family to support."

ms461 db 55,"Pete mutters something under his breath and walks away."

ms462 db 42,"You hear something moving in the darkness."

ms463 db 90,"A foul looking creature looms out of the darkness and sinks its"
      db " fangs deep into your neck."

ms464 db 129,"Jake the gravedigger comes up you and asks if you could spare a "
      db "coin so that he can buy a drink, as gravedigging is thirsty work."

ms465 dw 259
      db "Sid the landlord appears behind the bar.  You ask him about"
      db " the surrounding     countryside, he tells you that he has "
      db "not been at the inn very long and that thebest person to ask"
      db " is Wilf the woodcutter.  He thinks Wilf is working somewhere"
      db " near the toadstool."

ms466 db 41,"The landlord comes up from under the bar."

ms467 db 44,"The landlord disappears down behind the bar."

ms468 db 70,"A column of guards appear, they all attack"
      db " you with swords and spears."

ms469 db 64,"A column of guards appear, they all salute you as they march by."

ms470 db 94,"A nightmarish creature with razor sharp teeth and claws pounces "
      db "on you and tearsyou to pieces."

ms471 db 72,"A nightmarish creature with razor sharp teeth and claws passes"
      db " close by."

ms472 db 28,"The bear ambles slowly away."

ms473 db 74,"A large bear ambles into view, a metal disc is on a chain"
      db " around its neck."

ms474 db 26,"The statue moved slightly."

ms475 db 70,"The statue suddenly comes to life and strikes "
      db "you down with the sword."

ms476 db 22,"The magpie flies away."

ms477 db 66,"A magpie lands near you, It is carrying something red in its beak."

ms478 db 75,"Karl shouts intruder, guards rush in and attack you with swords"
      db " and spears."

ms479 db 118,"The door opens and Karl the jailer appears.  He shouts intruder, "
      db "guards rush in and attack you with swords and spears."

ms480 db 220,"The door opens and Karl the jailer appears.  He says hello "
      db "sir,  and tells you  that it is a lonely life down here as "
      db "he does not get many visitors, and since  he broke his tin "
      db"whistle cannot keep himself amused anymore."

ms481 db 160,"A monk comes up to you and says, good day my son, this is not"
      db " a safe place to bein, I will give you some advice, 'turn at "
      db "deaths door'. With that he walks away."

ms482 db 125,"A maid walks up the gallery, she sees you and says, I have finished"
      db " cleaning thebedroom now sir, and carries on walking away."

ms483 db 31,"It is too dark to see anything!"

ms484 db 20,"WELCOME TO AWAKENING"

ms485 db 25,"DO YOU WANT INSTRUCTIONS?"

ms486 db 5,"Y / N"

ms487 db 27,"A few tips to start with :-"

ms488 db 15,"1 - Draw a map."

ms489 db 15,"2 - Save often."

ms490 db 23,"3 - Examine everything."

ms491 db 41,"4 - Some actions may need a few attempts."

ms492 db 46,"5 - Some items may have more than one purpose."

ms493 db 25,"PRESS ANY KEY TO CONTINUE"

ms494 db 39,"PRESS ANY KEY FOR KEYBOARD INSTRUCTIONS"

ms495 db 21,"KEYBOARD INSTRUCTIONS"

ms496 db 51,"- (Look) Return to description of current location."

ms497 db 19,"- (North) Go north."

ms498 db 19,"- (South) Go south."

ms499 db 17,"- (East) Go east."

ms500 db 17,"- (West) Go west."

ms501 db 13,"- (Up) Go up."

ms502 db 17,"- (Down) Go down."

ms503 db 42,"- Take inventory of things carried / worn."

ms504 db 50,"- Quick save, useful before making a 'risky' move."

ms505 db 24,"- Load quick saved game."

ms506 db 38,"- Quit current game & start a new one."

ms507 db 38,"- Save game to hard drive & then exit."

ms508 db 36,"- Recall saved game from hard drive."

ms509 db 27,"- Exit game without saving."

ms510 db 61,"- Recall these keyboard instructions at any time during game."

ms511 db 30,"PRESS ANY KEY TO START/RETURN."

ms512 db 8,"You are "

ms513 db 12,"You can see "

ms514 db 14,"There is a way"

ms515 db 18,"whash shnow? Hic! "

ms516 db 10,"What now? "

ms517 db 22,"Sorry, not understood."

ms518 db 23,"You cannot go that way!"

ms519 db 7,"Pardon?"

ms520 db 13,"YOU ARE DEAD!"

ms521 db 29,"Press any key to restart game"

ms522 db 10,"GAME SAVED"

ms523 db 47,"Are you sure you want to quit & start new game?"

ms524 db 23,"THERE IS NO GAME SAVED."

ms525 db 6,"SAVED."

ms526 db 25,"YOU DO NOT HAVE ANYTHING!"

ms527 db 17,"You are carrying "

ms528 db 17,"You are wearing  "

ms529 db 4,"O.K."

ms530 db 23,"See part two - CROWNING"

ms531 db 23,"PRESS ANY KEY TO FINISH"

ms532 db 37,"The current is too strong to swim in."

ms533 db 33,"The water is too cold to swim in."

ms534 db 27,"Murky, freezing cold water."

ms535 db 22,"There is no lake here."

ms536 db 28,"The pond is not deep enough."

ms537 db 25,"You are extremely hungry."

ms538 db 25,"You feel extremely tired."

ms539 db 26,"You are extremely thirsty."

ms540 db 23,"The crystal is too big."

btl    db 29,65,82,90
cabin  db 5,6,95,96,20,28
stones db 3,4,11,12
pla    db 3,4,11,13
tmbst  db 58,59,66
trees  db 9,17,18,19,20,22,25,26,27,51
phs    db 2,9,10,17,22,25,26,35,37,38,58,66,101,109,110,111
wayin  db 50,39,47,64,99,107,75,53,102,85
wls    db 33,34,36,39,40,41,44,45,46,48,50,52,53,54,60,61,64,65,68,70,73,76
       db 77,78,80,83,84,85,87,92,94,95,98,99,100,101,102,105,109,110
isle   db 30,31,32,36,37,38,39,40,44,45,46,47,48,52,53,54,55,56,60,61,62,63
       db 64,65
riv    db 27,35,43,58,66
lak    db 21,29,37

buff db 20 dup (0)

    Filesize     dd 257
    
    north        db 7," North,"
    south        db 7," South,"
    east         db 6," East,"
    west         db 6," West,"
    up           db 4," Up,"
    down         db 6," Down,"

align 4

ways dd north,south,east,west,up,down

    lone         db 24,"Lamp goes out next turn!"
    ltwo         db 25,"Lamp goes out in 2 turns!"
    lthree       db 25,"Lamp goes out in 3 turns!"
    lfour        db 25,"Lamp goes out in 4 turns!"
    lfive        db 25,"Lamp goes out in 5 turns!"
    lsix         db 25,"Lamp goes out in 6 turns!"
    lseven       db 25,"Lamp goes out in 7 turns!"
    leight       db 25,"Lamp goes out in 8 turns!"
    lnine        db 25,"Lamp goes out in 9 turns!"
    lten         db 26,"Lamp goes out in 10 turns!"

align 4
    
turns dd lone,ltwo,lthree,lfour,lfive,lsix,lseven,leight,lnine,lten

;***********************************************************************

  .data?
    max_coord       COORD <>
    small_rect      SMALL_RECT <>
    csbi            CONSOLE_SCREEN_BUFFER_INFO <>
    cci             CONSOLE_CURSOR_INFO <>

SMALL_RECT STRUCT
    Left      WORD      ?
    Top       WORD      ?
    Right     WORD      ?
    Bottom    WORD      ?
SMALL_RECT ENDS

    hConsoleOutput  dd ?   ;console output handle
    Handledatafile  dd ?
    bytes_read      dd ?
    numrit          dd ?
    wkbuff          dd ?
    cow             dd ?
    verbstore       dd ?
    nounstore       dd ?
    lettercount     db ?

    restartdata     db 257 dup (?)

    quicksavedata   db 257 dup (?)
   
;************************************************************************

.const

    consoletitle db"AWAKENING",0
      
    Cload db "C:\programming\Awakening.Dat",0

    black         equ 0
    blue          equ 1
    green         equ 2
    cyan          equ 3
    red           equ 4
    magenta       equ 5
    brown         equ 6
    white         equ 7
    grey          equ 8
    light_blue    equ 9
    light_green   equ 10
    light_cyan    equ 11
    light_red     equ 12
    light_magenta equ 13
    yellow        equ 14
    bright_white  equ 15